Summary: Atomic Rocket Turtle rpm archive configuration
Name: atomic-release
Version: 1.0
Release: 14.art
License: GPL
Group: System Environment/Base
URL: http://www.atomicrocketturtle.com/

Packager:  Scott R. Shinn <scott@atomicrocketturtle.com>
Vendor: Atomic Rocket Turtle, http://www.atomicrocketturtle.com/

Source0: mirrors-atomic
Source1:        RPM-GPG-KEY.art.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: net-tools
Requires:       yum >= 2.2
Obsoletes:      atomic
BuildArch: noarch


%description
Atomic Rocket Turtle RPM archive contains open source packages for RPM based distributions, CentOS, Fedora and Red Hat Enterprise Linux.

This package contains the repository GPG key in addition to configuration files for yum.

%prep
#%setup -c 

%build
%{?el6:name='CentOS / Red Hat Enterprise Linux'; version='6'; path="centos"; }
%{?el5:name='CentOS / Red Hat Enterprise Linux'; version='5'; path="centos"; }
%{?el4:name='CentOS / Red Hat Enterprise Linux'; version='4'; path="centos"; }
%{?el3:name='CentOS / Red Hat Enterprise Linux'; version='3'; path="centos"; }
%{?fc18:name='Fedora Core'; version='18'; path="fedora"; }
%{?fc17:name='Fedora Core'; version='17'; path="fedora"; }
%{?fc16:name='Fedora Core'; version='16'; path="fedora"; }
%{?fc15:name='Fedora Core'; version='15'; path="fedora"; }
%{?fc14:name='Fedora Core'; version='14'; path="fedora"; }
%{?fc13:name='Fedora Core'; version='13'; path="fedora"; }
%{?fc12:name='Fedora Core'; version='12'; path="fedora"; }
%{?fc11:name='Fedora Core'; version='11'; path="fedora"; }
%{?fc10:name='Fedora Core'; version='10'; path="fedora"; }
%{?fc9:name='Fedora Core'; version='9'; path="fedora"; }
%{?fc8:name='Fedora Core'; version='8'; path="fedora"; }
%{?fc7:name='Fedora Core'; version='7'; path="fedora"; }
%{?fc6:name='Fedora Core'; version='6'; path="fedora"; }
%{?fc5:name='Fedora Core'; version='5'; path="fedora"; }
%{?fc4:name='Fedora Core'; version='4'; path="fedora"; }
%{?fc3:name='Fedora Core'; version='3'; path="fedora"; }
%{?fc2:name='Fedora Core'; version='2'; path="fedora"; }
%{?fc1:name='Fedora Core'; version='1'; path="fedora"; }
%{?rh9:name='Red Hat'; version='9';   path="redhat"; }

#name='CentOS / Red Hat Enterprise Linux'; version='4'; path="centos"; 
#name=''


%{__cat} <<EOF >atomic.repo
# Name: Atomic Rocket Turtle RPM Repository for $name $version - $builder
# URL: http://www.atomicrocketturtle.com/
# Note: This isn't covered by ASL support. -Scott
[atomic]
name = $name \$releasever - atomicrocketturtle.com
mirrorlist = http://www.atomicorp.com/mirrorlist/atomic/$path-$version-\$basearch
#mirrorlist = http://www.atomicorp.com/channels/atomic/$path/$version/mirrors-atomic
enabled = 1
priority = 1
protect = 0
gpgkey = file:///etc/pki/rpm-gpg/RPM-GPG-KEY.art.txt
gpgcheck = 1

# Almost Stable, release candidates for [atomic]
# Note these are not supported by anyone. -Scott
[atomic-testing]
name = $name \$releasever - atomicrocketturtle.com - (Testing)
mirrorlist = http://www.atomicorp.com/mirrorlist/atomic-testing/$path-$version-\$basearch
enabled = 0
priority = 1
protect = 0
gpgkey = file:///etc/pki/rpm-gpg/RPM-GPG-KEY.art.txt
gpgcheck = 1

# Untested, Unstable, known buggy, and incomplete packages. 
# Note, you shouldn't be here unless you are me. -Scott
#[atomic-bleeding]
#name = $name \$releasever - atomicrocketturtle.com - (Bleeding)
#baseurl = http://www.atomicorp.com/channels/atomic-bleeding/$path/$version/\$basearch/
#enabled = 0
#priority = 1
#protect = 0
#gpgkey = file:///etc/pki/rpm-gpg/RPM-GPG-KEY.art.txt
#gpgcheck = 1
EOF

%{__cat} <<EOF > atomic.up2date
# Name: Atomic Rocket Turtle RPM Repository for $name $version - %{_arch} 
# URL: http://www.atomicrocketturtle.com/
#
# Add the following line to /etc/sysconfig/rhn/sources
#
#       yum atomic http://www.atomicorp.com/channels/atomic/$path/$version/%{_arch}/
EOF



%install
%{__rm} -rf %{buildroot}
%{__install} -Dp -m0644 %{SOURCE1}  %{buildroot}%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY.art.txt
%{__install} -Dp -m0644 atomic.repo %{buildroot}%{_sysconfdir}/yum.repos.d/atomic.repo
%{__install} -Dp -m0644 atomic.up2date %{buildroot}%{_sysconfdir}/sysconfig/rhn/sources.atomic.txt



%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/sysconfig/rhn/
%config %{_sysconfdir}/sysconfig/rhn/sources.atomic.txt
%dir %{_sysconfdir}/yum.repos.d/
%config %{_sysconfdir}/yum.repos.d/atomic.repo
%dir %{_sysconfdir}/pki/rpm-gpg/
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY.art.txt


%changelog
* Tue Nov 8 2011 Scott R. Shinn <scott@atomicrocketturtle.com> 1.0-14
- added Fedora 16-18

* Mon Jan 3 2011 Scott R. Shinn <scott@atomicrocketturtle.com> 1.0-13
- added RHEL/CentOS 6
- added Fedora 14
- added Fedora 15

* Thu Jul 29 2010 Scott R. Shinn <scott@atomicrocketturtle.com> 1.0-12
- added Fedora 13

* Sun Dec 13 2009 Scott R. Shinn <scott@atomicrocketturtle.com> 1.0-11
- added Fedora 12

* Mon Dec 29 2008 Scott R. Shinn <scott@atomicrocketturtle.com> 1.0-10
- added Fedora 10 and 11 support
- changed over to new mirrorlist format

* Fri Aug 22 2008 Scott R. Shinn <scott@atomicrocketturtle.com> 1.0-8
- added Fedora 9 support

* Fri Nov 30 2007 Scott R. Shinn <scott@atomicrocketturtle.com> 1.0-7
- added Fedora 8 support
- changed the channel priority

* Mon Apr 30 2007 Scott R. Shinn <scott@atomicrocketturtle.com> 1.0-6
- added fc7 support

* Fri Mar 30 2007 Scott R. Shinn <scott@atomicrocketturtle.com> 1.0-5
- Update to replace the old atomic.repo file

* Tue Feb 6 2007 Scott R. Shinn <scott@atomicrocketturtle.com> 1.0-4
- added in up2date cheat sheet
- merged in some configuration changes from the rpmforge-release package


* Wed Jan 3 2007 Scott R. Shinn <scott@atomicrocketturtle.com> 1.0-3
- changed name to atomic-release

* Mon Jul 18 2006 Scott R. Shinn <scott@atomicrocketturtle.com> 1.0-2
- typo fix on repos dir

* Mon Jun 12 2006 Scott R. Shinn <scott@atomicrocketturtle.com> 1.0-1
- initial build of the atomic yum config package

